bs1770gain (0.9.2-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:10:09 +0200

bs1770gain (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Jun 2024 19:46:33 +0200

bs1770gain (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Moved to debhelper compat level 13.
  * Updated copyright years in d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 May 2024 07:10:39 +0200

bs1770gain (0.8.8-1) unstable; urgency=medium

  * Added missing build dependency libmp3lame-dev.
  * New upstream version 0.8.8
    - Dropped 1010-init-filter.patch solved upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Jun 2023 11:53:07 +0200

bs1770gain (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7
  * Removed 1000-debian-hurd.patch applied upstream.
  * Introduced 1010-init-filter.patch to avoid printing uninitialized string.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Jun 2023 07:19:26 +0200

bs1770gain (0.8.6.1-3) unstable; urgency=medium

  * Fixed d/watch to get rid of trailing dot.
  * Updated Standards-Version from 4.6.1 to 4.6.2.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 17 Feb 2023 14:56:52 +0100

bs1770gain (0.8.6.1-2) unstable; urgency=medium

  * Reinsert generated upstream files removed by mistake.
  * Added 1000-debian-hurd.patch and zlib1g-dev build dependency
    to build on Hurd.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Dec 2022 08:31:58 +0100

bs1770gain (0.8.6.1-1) unstable; urgency=medium

  * New upstream version 0.8.6.1
    - Made XML output acceptable by xmllint (Closes:#942734)
    - Made sure --xml only print XML to stdout (Closes: #942701)
    - Adjusted configure.ac to also work with dash (Closes: #998779)
  * Adjusted autopkg XML test to exercise XML output a bit more.
  * Added --enable-xml to activate --xml support, planned to be phased
    out by upstream in favor of --csv output.  Support for XML might
    disappear in the future.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Dec 2022 07:21:55 +0100

bs1770gain (0.8.4-2) unstable; urgency=medium

  * Team upload.
  * Ack previous NMU.
  * d/p/1002-no-Werror.patch: dropped, not needed anymore.
  * debian/rules: Drop --as-needed, now enabled by default.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 11:05:36 -0400

bs1770gain (0.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix compatibility with ffmpeg 5.0. (Closes: #1004794)
  * Bump Standards-Version to 4.6.1.
  * Bump debhelper compat to v13.
  * d/p/1001-fix_type_error.patch: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 10:58:04 -0400

bs1770gain (0.8.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build with -Werror. (Closes: #996848)

 -- Adrian Bunk <bunk@debian.org>  Tue, 21 Dec 2021 10:59:28 +0200

bs1770gain (0.8.3-2) unstable; urgency=medium

  * Include libxml2-utils in build depends too, for the XML test to
    work during build.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 Sep 2021 08:33:05 +0200

bs1770gain (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
    - Fixes typo in --help output (Closes: #942702).
  * Refreshed patches and d/rules to work with new upstream source
  * Changed Build-depends to Build-Depends to satisfy pedantic lintian.
  * Updated Standards-Version from 4.5.0 to 4.6.0
  * Added new autopkgtest check for XML output.  Currently failing.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 18 Sep 2021 08:10:56 +0200

bs1770gain (0.6.7-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.7
  * Use dh-compat instead of debian/compat and bump to 12
  * Bump Standards-Version to 4.5.0
  * Set Rules-Requires-Root: no
  * Update d/copyright year and update GPL-2 license text
  * Fix typo in bs1770gain.txtman (Closes: #950077)
  * Fix typo in binary
  * Add hardening

  [ Petter Reinholdtsen ]
  * Switched to new upstream URL.
  * Updated d/watch file with new upstream location.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 15 Sep 2021 18:30:45 +0200

bs1770gain (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 07 Oct 2019 13:02:21 +0200

bs1770gain (0.6.3-1) unstable; urgency=medium

  * New upstream 0.6.3.
    - No longer crash using problematic MP4 (Closes: #920490).
  * Updated 2000-non-controversial-usage.patch.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 20 Sep 2019 17:42:10 +0200

bs1770gain (0.6.1-1) experimental; urgency=medium

  * New upstream version 0.6.1 with large rewrite of the code base.
  * Upload to experimental to limit initial exposure.
  * Updated 2000-non-controversial-usage.patch.
  * Added new build dependencies libpostproc-dev and libavfilter-dev.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 16 Sep 2019 15:09:24 +0000

bs1770gain (0.5.2-2) unstable; urgency=medium

  * Need to add ffmpeg to build dependencies too.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Jan 2019 12:32:26 +0100

bs1770gain (0.5.2-1) unstable; urgency=medium

  * Corrected/added bug numbers closed.
  * Extended test to verify mp3 files can be measured.
  * New upstream version 0.5.2 (Closes: #910451, #920231).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Jan 2019 10:48:53 +0100

bs1770gain (0.5.1-3) unstable; urgency=medium

  * Support DEB_BUILD_OPTIONS=nocheck (Closes: #914747)
  * Added 2000-non-controversial-usage.patch (Closes: #913352).
  * Updated Standards-Version from 4.2.1 to 4.3.0.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jan 2019 21:51:33 +0100

bs1770gain (0.5.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Petter Reinholdtsen ]
  * Included changes from 0.4.12-3 which was lost due to me using the wrong
    git repository.
  * Removed obsolete patch 0002-ffmpeg-4.0.patch.
  * Removed build-depend on dh-autoreconf because lintian claimed it is useless.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Oct 2018 12:01:10 +0200

bs1770gain (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1 (Closes: #883198, #910451).
  * Add d/patches/README with number structure for patches.
  * Adjusted build to get dh-autoreconf working. (Closes: #882224)
  * Removed obsolete 1000-fix-typo-in-help-entry.patch and
    1010-ignore-autoreconf-errors.patch.
  * Updated Standards-Version from 3.9.8 to 4.2.1.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 19 Oct 2018 11:02:44 +0200

bs1770gain (0.4.12-3) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * debian/copyright:
    - Use GPL-2+ as short license name in d/copyright.
    - Fix spelling-error-in-copyright lintian warning.
  * debian/patches:
    - Add patch to fix FTBFS with FFmpeg 4.0. (Closes: #888382)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Remove XS-Testsuite field, not needed anymore.
  * d/control: Unify Maintainer field to Debian Multimedia Maintainers.
  * d/rules: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- James Cowgill <jcowgill@debian.org>  Sat, 19 May 2018 13:04:30 +0200

bs1770gain (0.4.12-2) unstable; urgency=low

  [ Matteo F. Vescovi ]
  * Fixed typo in manpage and added new 0001-Fix_typo_in_help_entry.patch
    fixing the same typo in the program help text.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Jan 2017 08:27:21 +0000

bs1770gain (0.4.12-1) unstable; urgency=medium

  * New upstream version 0.4.12.
  * Added simple manual page using txt2man.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 Dec 2016 08:31:14 +0000

bs1770gain (0.4.11-1) unstable; urgency=medium

  * New upstream version 0.4.11.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Aug 2016 15:37:18 +0200

bs1770gain (0.4.10-1) unstable; urgency=medium

  * New upstream version 0.4.10.
    - Tell compiler to ignore obsolete symbols in ffmpeg (Closes: #831246).
  * Drop bs1770gain-dbg package in favor of autogenerated bs1770gain-dbgsym.
  * Updated Standards-Version from 3.9.7 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 18 Jul 2016 15:18:05 +0200

bs1770gain (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9.
    - Fixes build error with newer ffmpeg (Closes: #810563).
    - Fixes build error with GCC 6 (Closes: #811955).
  * Corrected d/watch to match new upstream file names.
  * Updated Standards-Version from 3.9.6 to 3.9.7.
  * Changed vcs links to more secure versions.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Mar 2016 11:34:12 +0100

bs1770gain (0.4.8-2) unstable; urgency=medium

  * Drop libavformat-ffmpeg-dev from build depends, as libavformat-dev
    from ffmpeg is available also from backports.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Dec 2015 23:40:58 +0100

bs1770gain (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8.
  * Change order of avformat build dependency to prefer the ffmpeg
    version now the primary version in Debian unstable.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Dec 2015 12:49:39 +0000

bs1770gain (0.4.7-2) unstable; urgency=medium

  * Fix build problem with the current ffmpeg dev packages.
    The libavformat-ffmpeg-dev package is gone, replaced by
    libavformat-dev.  Build-Depend on the new package and pick
    a version newer than the old non-ffmpeg libavformat-dev.
    (Closes: #801286)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 09 Oct 2015 13:59:32 +0200

bs1770gain (0.4.7-1) unstable; urgency=low

  * New upstream release 0.4.7.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Sep 2015 10:23:08 +0200

bs1770gain (0.4.6-1) unstable; urgency=medium

  * New upstream version.
    - Fixes incorrect output on archs where
      clock_t is not long int (Closes: #790349).
    - New --xml output provides machine readable output (Closes: #789896).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Sep 2015 09:54:14 +0200

bs1770gain (0.4.5-1) unstable; urgency=medium

  * New upstream release 0.4.5.
    - Removed obsolete 20-audio-decode-problem.diff and
      30-strict-cast-align.diff now included upstream.
  * Improve autopkg tests and run them at build time.  Build-depend
    on sox for this.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 25 Jun 2015 15:08:47 +0200

bs1770gain (0.4.4-1) unstable; urgency=medium

  * New upstream release 0.4.4.
    - Fixes problem with stuttering sound after transcoding
      (Closes: #789254).
    - Fixes build problem when char is unsigned (Closes: #789248).
    - Dropped 10-unsigned-char-archs.diff and refreshed
      20-audio-decode-problem.diff now included upstream.
    - Added 30-strict-cast-align.diff to ensure the build fail on
      architectures where -Wstrict-align give warning and fix the
      known cases after verifying they are safe (Closes: #789250).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 24 Jun 2015 11:36:52 +0000

bs1770gain (0.4.3-1) unstable; urgency=low

  * New upstream release 0.4.3 using autotools build rules.
    - Changed from LGPL 2.1+ to GPL 2+.  Updated copyright file to
      reflect this.
    - Drop no longer needed patches 10-autotools.diff and
      20-disable-dynload.diff.
    - Update debian copyright file to reflect the new GPL 2+ license.
  * Adjust autopkg test, to accept messages on stderr.
  * Adjust copyright format string to 1.0.  Thank you lintian for
    noticing.
  * Add watch file to track the upstream version.  Thank you Stuart
    Prescott for helping me with the URL.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Jun 2015 06:53:24 +0000

bs1770gain (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #781026).
  * Add 10-autotools.diff to provide and use autotools based build
    system instead of the original one to avoid trying to download
    libraries from the net and use the system libraries instead.
  * Add 20-disable-dynload.diff to disable dynamic loading of shared
    libraries, and leave it to the linker at compile time.
  * Add autopkgtest script to check that the program is able to
    process a simple WAV file.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 May 2015 05:38:33 +0000
